Bug 1442172 - Ansible Event monitor error's out when it does not reside on same CF appliance with Embedded Ansible/Provider Int/Op
Summary: Ansible Event monitor error's out when it does not reside on same CF applianc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Nick Carboni
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1439392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 17:25 UTC by Satoe Imaishi
Modified: 2017-05-31 15:04 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439392
Environment:
Last Closed: 2017-05-31 15:04:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 18:51:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/8ee9d83189f0c67eb57a40dd34b4fec4d2f8f834

commit 8ee9d83189f0c67eb57a40dd34b4fec4d2f8f834
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed Apr 12 12:20:16 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 14:46:43 2017 -0400

    Merge pull request #14736 from carbonin/reload_ems_after_event_catcher_failure
    
    Reload the ems object in the event catcher if we fail to start
    (cherry picked from commit 3d18b43eb610cb998281a7727ca43a5859163d18)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442172

 .../embedded_ansible/automation_manager/event_catcher/runner.rb  | 9 +++++++++
 1 file changed, 9 insertions(+)

Comment 3 Dmitry Misharov 2017-05-02 12:40:44 UTC
Verified in 5.8.0.12-rc1.20170425180304_4f35996. EventCatcher is able to monitor events for embedded ansible on another appliance of the same zone.

Comment 5 errata-xmlrpc 2017-05-31 15:04:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.